LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
Time Struct Referencepublished

represents a time value. More...

`import"Time.idl";`

## Public Attributes
unsigned long | NanoSeconds
| contains the nanoseconds (0 - 999 999 999). More...
unsigned short | Seconds
| contains the seconds (0-59). More...
unsigned short | Minutes
| contains the minutes (0-59). More...
unsigned short | Hours
| contains the hour (0-23). More...
boolean | IsUTC
| true: time zone is UTC false: unknown time zone. More...

## Detailed Description

represents a time value.

## Member Data Documentation

## ◆ Hours

unsigned short Hours

contains the hour (0-23).

## ◆ IsUTC

boolean IsUTC

true: time zone is UTC false: unknown time zone.

Since
  LibreOffice 4.1

## ◆ Minutes

unsigned short Minutes

contains the minutes (0-59).

## ◆ NanoSeconds

unsigned long NanoSeconds

contains the nanoseconds (0 - 999 999 999).

## ◆ Seconds

unsigned short Seconds

contains the seconds (0-59).

The documentation for this struct was generated from the following file:

- com/sun/star/util/Time.idl